#### Previous topic

scipy.sparse.linalg.MatrixRankWarning

#### Next topic

scipy.sparse.linalg.bicg

# scipy.sparse.linalg.use_solver

`scipy.sparse.linalg.``use_solver`(**kwargs)

  Select default sparse direct solver to be used.

  Parameters:

  useUmfpack : bool, optional

  > Use UMFPACK over SuperLU. Has effect only if scikits.umfpack is installed. Default: True

  Notes

  The default sparse solver is umfpack when available (scikits.umfpack is installed). This can be changed by passing useUmfpack = False, which then causes the always present SuperLU based solver to be used.

  Umfpack requires a CSR/CSC matrix to have sorted column/row indices. If sure that the matrix fulfills this, pass `assumeSortedIndices=True` to gain some speed.